ptmr_t Struct Reference

Generic timer structures and functions for coarse-grained performance measurements using standard system calls. More...

`#include <profile.h>`

## Data Fields

const char * | name
| Timer print name; NULL terminates an array of timers.
float64 | t_cpu
| CPU time accumulated since most recent reset op.
float64 | t_elapsed
| Elapsed time accumulated since most recent reset.
float64 | t_tot_cpu
| Total CPU time since creation.
float64 | t_tot_elapsed
| Total elapsed time since creation.
float64 | start_cpu
| -— FOR INTERNAL USE ONLY -—
float64 | start_elapsed
| -— FOR INTERNAL USE ONLY -—

## Detailed Description

Generic timer structures and functions for coarse-grained performance measurements using standard system calls.

Definition at line 157 of file profile.h.

## Field Documentation

## name

const char* ptmr_t::name

Timer print name; NULL terminates an array of timers.

Used by ptmr_print_all

Definition at line 158 of file profile.h.

Referenced by ptmr_print_all(), and ptmr_reset_all().

## start_cpu

float64 ptmr_t::start_cpu

-— FOR INTERNAL USE ONLY -—

Definition at line 164 of file profile.h.

Referenced by ptmr_start(), and ptmr_stop().

## start_elapsed

float64 ptmr_t::start_elapsed

-— FOR INTERNAL USE ONLY -—

Definition at line 165 of file profile.h.

Referenced by ptmr_start(), and ptmr_stop().

## t_cpu

float64 ptmr_t::t_cpu

CPU time accumulated since most recent reset op.

Definition at line 160 of file profile.h.

Referenced by ptmr_init(), ptmr_print_all(), ptmr_reset(), and ptmr_stop().

## t_elapsed

float64 ptmr_t::t_elapsed

Elapsed time accumulated since most recent reset.

Definition at line 161 of file profile.h.

Referenced by ptmr_init(), ptmr_reset(), and ptmr_stop().

## t_tot_cpu

float64 ptmr_t::t_tot_cpu

Total CPU time since creation.

Definition at line 162 of file profile.h.

Referenced by ptmr_init(), and ptmr_stop().

## t_tot_elapsed

float64 ptmr_t::t_tot_elapsed

Total elapsed time since creation.

Definition at line 163 of file profile.h.

Referenced by ptmr_init(), and ptmr_stop().

The documentation for this struct was generated from the following file:

- include/sphinxbase/profile.h